/*!
 * Application Insights JavaScript SDK - Click Analytics, 3.3.8
 * Copyright (c) Microsoft and contributors. All rights reserved.
 */
"use strict";var strShimFunction="function",strShimObject="object",strShimUndefined="undefined",strShimPrototype="prototype",ObjClass$1=Object;function _pureAssign(e,t){return e||t}function _pureRef(e,t){return e[t]}var UNDEF_VALUE=undefined,NULL_VALUE=null,EMPTY="",FUNCTION="function",OBJECT="object",PROTOTYPE="prototype",__PROTO__="__proto__",UNDEFINED="undefined",CONSTRUCTOR="constructor",SYMBOL="Symbol",LENGTH="length",NAME="name",CALL="call",TO_STRING="toString",GET_OWN_PROPERTY_DESCRIPTOR="getOwnPropertyDescriptor",ObjClass=_pureAssign(Object),ObjProto=_pureRef(ObjClass,PROTOTYPE),StrCls=_pureAssign(String),StrProto=_pureRef(StrCls,PROTOTYPE),MathCls=_pureAssign(Math),ArrCls=_pureAssign(Array),ArrProto=_pureRef(ArrCls,PROTOTYPE),ArrSlice=_pureRef(ArrProto,"slice"),POLYFILL_TAG="_polyfill",POLYFILL_TYPE_NAME="__nw21$polytype__";function safe(e,t){try{return{v:e.apply(this,t)}}catch(n){return{e:n}}}function _createIs(t){return function(e){return typeof e===t}}function _createObjIs(e){var t="[object "+e+"]";return function(e){return!(!e||objToString(e)!==t)}}function objToString(e){return ObjProto[TO_STRING].call(e)}function isUndefined(e){return typeof e===UNDEFINED||e===UNDEFINED}function isStrictUndefined(e){return e===UNDEF_VALUE}function isNullOrUndefined(e){return e===NULL_VALUE||isUndefined(e)}function isStrictNullOrUndefined(e){return e===NULL_VALUE||e===UNDEF_VALUE}function isDefined(e){return!!e||e!==UNDEF_VALUE}var isString=_createIs("string"),isFunction=_createIs(FUNCTION);function isObject(e){return!(!e&&isNullOrUndefined(e)||!e||typeof e!==OBJECT)}var isArray=_pureRef(ArrCls,"isArray"),isBoolean=_createIs("boolean"),isError=_createObjIs("Error");function _returnNothing(){}function _returnFalse(){return!1}var asString=_pureAssign(StrCls),ERROR_TYPE="[object Error]";function dumpObj(e,t){var n=EMPTY,r=ObjProto[TO_STRING][CALL](e);r===ERROR_TYPE&&(e={stack:asString(e.stack),message:asString(e.message),name:asString(e.name)});try{n=((n=JSON.stringify(e,NULL_VALUE,t?"number"==typeof t?t:4:UNDEF_VALUE))?n.replace(/"(\w+)"\s*:\s{0,1}/g,"$1: "):NULL_VALUE)||asString(e)}catch(o){n=" - "+dumpObj(o,t)}return r+": "+n}function throwError(e){throw Error(e)}function throwTypeError(e){throw new TypeError(e)}function _throwIfNullOrUndefined(e){isStrictNullOrUndefined(e)&&throwTypeError("Cannot convert undefined or null to object")}function objHasOwnProperty(e,t){return!!e&&ObjProto.hasOwnProperty[CALL](e,t)}var _objGetOwnPropertyDescriptor$2=_pureAssign(_pureRef(ObjClass,GET_OWN_PROPERTY_DESCRIPTOR),_returnNothing),objHasOwn=_pureAssign(_pureRef(ObjClass,"hasOwn"),polyObjHasOwn);function polyObjHasOwn(e,t){return _throwIfNullOrUndefined(e),objHasOwnProperty(e,t)||!!_objGetOwnPropertyDescriptor$2(e,t)}function objForEachKey(e,t,n){if(e&&(isObject(e)||isFunction(e)))for(var r in e)if(objHasOwn(e,r)&&-1===t[CALL](n||e,r,e[r]))break}function arrForEach(e,t,n){if(e)for(var r=e[LENGTH]>>>0,o=0;o<r&&!(o in e&&-1===t[CALL](n||e,e[o],o,e));o++);}var _unwrapFunction=_unwrapFunctionWithPoly;function _unwrapFunctionWithPoly(r,e,o){var _=e?e[r]:NULL_VALUE;return function(e){var t,n=(e?e[r]:NULL_VALUE)||_;if(n||o)return t=arguments,(n||o).apply(e,n?ArrSlice[CALL](t,1):t);throwTypeError('"'+asString(r)+'" not defined for '+dumpObj(e))}}var _objGetOwnPropertyDescriptor$1=_pureAssign(_pureRef(ObjClass,GET_OWN_PROPERTY_DESCRIPTOR),_returnNothing),propMap={e:"enumerable",c:"configurable",v:"value",w:"writable",g:"get",s:"set"};function _createProp(t){var e,n={};return n[propMap.c]=!0,n[propMap.e]=!0,t.l&&(n.get=function(){return t.l.v},(e=_objGetOwnPropertyDescriptor$1(t.l,"v"))&&e.set&&(n.set=function(e){t.l.v=e})),objForEachKey(t,function(e,t){n[propMap[e]]=isStrictUndefined(t)?n[propMap[e]]:t}),n}var objDefineProp=_pureRef(ObjClass,"defineProperty"),objDefineProperties=_pureRef(ObjClass,"defineProperties");function objDefine(e,t,n){return objDefineProp(e,t,_createProp(n))}function _createKeyValueMap(e,n,r,t,o){var _={};return objForEachKey(e,function(e,t){_assignMapValue(_,e,n?t:e),_assignMapValue(_,t,r?t:e)}),t?t(_):_}function _assignMapValue(e,t,n,r){objDefineProp(e,t,{value:n,enumerable:!0,writable:!1})}var objIsFrozen=_pureAssign(_pureRef(ObjClass,"isFrozen"),_returnFalse),_objFreeze=_pureRef(ObjClass,"freeze");function _doNothing(e){return e}function _getProto(e){return _throwIfNullOrUndefined(e),e[__PROTO__]||NULL_VALUE}var objKeys=_pureRef(ObjClass,"keys");function _deepFreeze(e,n){if((isArray(e)||isObject(e)||isFunction(e))&&!objIsFrozen(e)){for(var t=0;t<n.length;t++)if(n[t]===e)return e;n.push(e),objForEachKey(e,function(e,t){_deepFreeze(t,n)}),objFreeze(e)}return e}function objDeepFreeze(e){return _objFreeze?_deepFreeze(e,[]):e}var objFreeze=_pureAssign(_objFreeze,_doNothing),objGetPrototypeOf=_pureAssign(_pureRef(ObjClass,"getPrototypeOf"),_getProto);function createEnumKeyMap(e){return _createKeyValueMap(e,0,0,objFreeze)}var _globalCfg,_wellKnownSymbolMap=createEnumKeyMap({asyncIterator:0,hasInstance:1,isConcatSpreadable:2,iterator:3,match:4,matchAll:5,replace:6,search:7,species:8,split:9,toPrimitive:10,toStringTag:11,unscopables:12}),GLOBAL_CONFIG_KEY="__tsUtils$gblCfg";function _getGlobalValue(){var e;return(e=(e=(e=typeof globalThis!==UNDEFINED?globalThis:e)||typeof self===UNDEFINED?e:self)||typeof window===UNDEFINED?e:window)||typeof global===UNDEFINED?e:global}function _getGlobalConfig(){var e;return _globalCfg||(e=safe(_getGlobalValue).v||{},_globalCfg=e[GLOBAL_CONFIG_KEY]=e[GLOBAL_CONFIG_KEY]||{}),_globalCfg}var strSubstring=_unwrapFunctionWithPoly("substring",StrProto);function _tagAsPolyfill(e,t){return e&&(safe(function(){e[POLYFILL_TAG]=!0,e[POLYFILL_TYPE_NAME]=t}),safe(objDefine,[e,POLYFILL_TAG,{v:!0,w:!1,e:!1}]),safe(objDefine,[e,POLYFILL_TYPE_NAME,{v:t,w:!1,e:!1}])),e}var _globalLazyTestHooks,objCreate=_pureAssign(_pureRef(ObjClass,"create"),polyObjCreate);function polyObjCreate(e,t){var n;function r(){}return n=isStrictNullOrUndefined(e)?{}:((n=typeof e)!==OBJECT&&n!==FUNCTION&&throwTypeError("Prototype must be an Object or function: "+dumpObj(e)),r[PROTOTYPE]=e,safe(function(){r[__PROTO__]=e}),new r),t&&safe(objDefineProperties,[n,t]),n}function utcNow(){return(Date.now||polyUtcNow)()}function polyUtcNow(){return(new Date).getTime()}function fnApply(e,t,n){return e.apply(t,n)}function _initTestHooks(){_globalLazyTestHooks=_getGlobalConfig()}function getLazy(t,n){var r={};return _globalLazyTestHooks||_initTestHooks(),r.b=_globalLazyTestHooks.lzy,objDefineProp(r,"v",{configurable:!0,get:function(){var e=fnApply(t,null,n);return _globalLazyTestHooks.lzy||objDefineProp(r,"v",{value:e}),r.b=_globalLazyTestHooks.lzy,e}}),r}var _polySymbols,_wellKnownSymbolCache,mathRandom=_pureRef(MathCls,"random"),_uniqueInstanceId=getLazy(function(){for(var e=utcNow().toString(36).slice(2);e.length<16;)e+=mathRandom().toString(36).slice(2);return e.substring(0,16)}),UNIQUE_REGISTRY_ID="_urid",POLY_SYM="$nw21sym",_polyId=0;function _globalSymbolRegistry(){var e;return _polySymbols||(e=_getGlobalConfig(),_polySymbols=e.gblSym=e.gblSym||{k:{},s:{}}),_polySymbols}function polyNewSymbol(e){var t="_"+_polyId+++"_"+_uniqueInstanceId.v,n=SYMBOL+"("+e+")";function r(e,t){objDefine(o,e,{v:t,e:!1,w:!1})}var o=objCreate(null);return r("description",asString(e)),r(TO_STRING,function(){return n+POLY_SYM+t}),r("valueOf",function(){return o}),r("v",n),r("_uid",t),_tagAsPolyfill(o,"symbol")}function polySymbolFor(e){var t,n,r=_globalSymbolRegistry();return objHasOwn(r.k,e)||(t=polyNewSymbol(e),n=objKeys(r.s).length,t[UNIQUE_REGISTRY_ID]=function(){return n+"_"+t[TO_STRING]()},r.k[e]=t,r.s[t[UNIQUE_REGISTRY_ID]()]=asString(e)),r.k[e]}function polyGetKnownSymbol(e){_wellKnownSymbolCache=_wellKnownSymbolCache||{};e=_wellKnownSymbolMap[e];return e?_wellKnownSymbolCache[e]=_wellKnownSymbolCache[e]||polyNewSymbol(SYMBOL+"."+e):void 0}function createCachedValue(e){return objDefineProp({toJSON:function(){return e}},"v",{value:e})}var _cachedGlobal,WINDOW="window";function _getGlobalInstFn(e,t){var n;return function(){return _globalLazyTestHooks||_initTestHooks(),(n=n&&!_globalLazyTestHooks.lzy?n:createCachedValue(safe(e,t).v)).v}}function getGlobal(e){return _globalLazyTestHooks||_initTestHooks(),(_cachedGlobal=_cachedGlobal&&!1!==e&&!_globalLazyTestHooks.lzy?_cachedGlobal:createCachedValue(safe(_getGlobalValue).v||NULL_VALUE)).v}function getInst(e,t){t=_cachedGlobal&&!1!==t?_cachedGlobal.v:getGlobal(t);if(t&&t[e])return t[e];if(e===WINDOW)try{return window}catch(n){}return NULL_VALUE}function hasDocument(){return!!getDocument()}var getDocument=_getGlobalInstFn(getInst,["document"]);function hasWindow(){return!!getWindow()}var _symbol,_symbolFor,_iterSymbol$1,getWindow=_getGlobalInstFn(getInst,[WINDOW]),getNavigator=_getGlobalInstFn(getInst,["navigator"]);function _initSymbol(){return _symbol=createCachedValue(safe(getInst,[SYMBOL]).v)}function _getSymbolKey(e){var t=(_globalLazyTestHooks.lzy?0:_symbol)||_initSymbol();return t.v?t.v[e]:UNDEF_VALUE}function getKnownSymbol(e,t){var n=_wellKnownSymbolMap[e],r=(_globalLazyTestHooks||_initTestHooks(),(_globalLazyTestHooks.lzy?0:_symbol)||_initSymbol());return r.v?r.v[n||e]:t?UNDEF_VALUE:polyGetKnownSymbol(e)}function newSymbol(e,t){_globalLazyTestHooks||_initTestHooks();var n=(_globalLazyTestHooks.lzy?0:_symbol)||_initSymbol();return n.v?n.v(e):t?NULL_VALUE:polyNewSymbol(e)}function symbolFor(e){return _globalLazyTestHooks||_initTestHooks(),((_symbolFor=(_globalLazyTestHooks.lzy?0:_symbolFor)||createCachedValue(safe(_getSymbolKey,["for"]).v)).v||polySymbolFor)(e)}function isIterator(e){return!!e&&isFunction(e.next)}function isIterable(e){return!isStrictNullOrUndefined(e)&&isFunction(e[getKnownSymbol(3)])}function iterForOf(e,t,n){if(e&&(isIterator(e)||(e=e[(_iterSymbol$1=_iterSymbol$1||createCachedValue(getKnownSymbol(3))).v]?e[_iterSymbol$1.v]():NULL_VALUE),isIterator(e))){var r=UNDEF_VALUE,o=UNDEF_VALUE;try{for(var _=0;!(o=e.next()).done&&-1!==t[CALL](n||e,o.value,_,e);)_++}catch(a){r={e:a},e["throw"]&&(o=NULL_VALUE,e["throw"](r))}finally{try{o&&!o.done&&e["return"]&&e["return"](o)}finally{if(r)throw r.e}}}}function arrAppend(t,e){return!isUndefined(e)&&t&&(isArray(e)?fnApply(t.push,t,e):isIterator(e)||isIterable(e)?iterForOf(e,function(e){t.push(e)}):t.push(e)),t}var _isProtoArray,arrIndexOf=_unwrapFunctionWithPoly("indexOf",ArrProto),arrMap=_unwrapFunctionWithPoly("map",ArrProto),objSetPrototypeOf=_pureAssign(_pureRef(ObjClass,"setPrototypeOf"),_polyObjSetPrototypeOf);function _polyObjSetPrototypeOf(n,e){var t;return(_isProtoArray=_isProtoArray||createCachedValue(((t={})[__PROTO__]=[],t instanceof Array))).v?n[__PROTO__]=e:objForEachKey(e,function(e,t){return n[e]=t}),n}function _createCustomError(e,t,n){function r(){this[CONSTRUCTOR]=t,safe(objDefine,[this,NAME,{v:e,c:!0,e:!1}])}return safe(objDefine,[t,NAME,{v:e,c:!0,e:!1}]),(t=objSetPrototypeOf(t,n))[PROTOTYPE]=n===NULL_VALUE?objCreate(n):(r[PROTOTYPE]=n[PROTOTYPE],new r),t}function _setName(e,t){t&&(e[NAME]=t)}function createCustomError(o,_,e){var a=e||Error,i=a[PROTOTYPE][NAME],c=Error.captureStackTrace;return _createCustomError(o,function(){var e=this,t=arguments;try{safe(_setName,[a,o]);var n,r=fnApply(a,e,ArrSlice[CALL](t))||e;return r!==e&&(n=objGetPrototypeOf(e))!==objGetPrototypeOf(r)&&objSetPrototypeOf(r,n),c&&c(r,e[CONSTRUCTOR]),_&&_(r,t),r}finally{safe(_setName,[a,i])}},a)}function _createTrimFn(t){return function(e){return _throwIfNullOrUndefined(e),e&&e.replace?e.replace(t,EMPTY):e}}var _fnToString,_objCtrFnString,_gblWindow,polyStrTrim=_createTrimFn(/^\s+|(?=\s)\s+$/g),strTrim=_unwrapFunctionWithPoly("trim",StrProto,polyStrTrim),mathFloor=_pureRef(MathCls,"floor");function isPlainObject(e){if(!e||typeof e!==OBJECT)return!1;var t=!1;if(e!==(_gblWindow=_gblWindow||!hasWindow()||getWindow())){_objCtrFnString||(_fnToString=Function[PROTOTYPE][TO_STRING],_objCtrFnString=_fnToString[CALL](ObjClass));try{var n=objGetPrototypeOf(e),t=(t=!n)||!(!(n=objHasOwnProperty(n,CONSTRUCTOR)?n[CONSTRUCTOR]:n)||typeof n!==FUNCTION||_fnToString[CALL](n)!==_objCtrFnString)}catch(r){}}return t}var _setTimeoutFn,_clearTimeoutFn,objGetOwnPropertyDescriptor=_pureAssign(_pureRef(ObjClass,GET_OWN_PROPERTY_DESCRIPTOR),_returnNothing),strIndexOf=_unwrapFunctionWithPoly("indexOf",StrProto),REF="ref",UNREF="unref",HAS_REF="hasRef",ENABLED="enabled";function _createTimerHandler(e,t,n){var r,o=!0,_=e?t(NULL_VALUE):NULL_VALUE;function a(){return o=!1,_&&_[UNREF]&&_[UNREF](),r}function i(){_&&n(_),_=NULL_VALUE}function c(){return _=t(_),o||a(),r}return(r={cancel:i,refresh:c})[HAS_REF]=function(){return _&&_[HAS_REF]?_[HAS_REF]():o},r[REF]=function(){return o=!0,_&&_[REF]&&_[REF](),r},r[UNREF]=a,{h:r=objDefineProp(r,ENABLED,{get:function(){return!!_},set:function(e){!e&&_&&i(),e&&!_&&c()}}),dn:function(){_=NULL_VALUE}}}function _resolveTimeoutFn(e){var t,e=isFunction(e)?e:_setTimeoutFn;return e||(t=_getGlobalConfig().tmOut||[],isArray(t)&&0<t.length&&isFunction(t[0])&&(e=t[0])),e||setTimeout}function _resolveClearTimeoutFn(e){var t,e=isFunction(e)?e:_clearTimeoutFn;return e||(t=_getGlobalConfig().tmOut||[],isArray(t)&&1<t.length&&isFunction(t[1])&&(e=t[1])),e||clearTimeout}function _createTimeoutWith(e,t,n){var r=isArray(t),o=r?t.length:0,_=_resolveTimeoutFn(0<o?t[0]:r?UNDEF_VALUE:t),a=_resolveClearTimeoutFn(1<o?t[1]:UNDEF_VALUE),i=n[0],c=(n[0]=function(){c.dn(),fnApply(i,UNDEF_VALUE,ArrSlice[CALL](arguments))},_createTimerHandler(e,function(e){if(e){if(e.refresh)return e.refresh(),e;fnApply(a,UNDEF_VALUE,[e])}return fnApply(_,UNDEF_VALUE,n)},function(e){fnApply(a,UNDEF_VALUE,[e])}));return c.h}function scheduleTimeout(e,t){return _createTimeoutWith(!0,UNDEF_VALUE,ArrSlice[CALL](arguments))}(getGlobal()||{}).Symbol,(getGlobal()||{}).Reflect;var _a$3,strHasOwnProperty="hasOwnProperty",extendStaticsFn=function(e,t){return(extendStaticsFn=ObjClass$1.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t[strHasOwnProperty](n)&&(e[n]=t[n])})(e,t)};function __extendsFn(e,t){function n(){this.constructor=e}typeof t!==strShimFunction&&null!==t&&throwTypeError("Class extends value "+t+" is not a constructor or null"),extendStaticsFn(e,t),e[strShimPrototype]=null===t?objCreate(t):(n[strShimPrototype]=t[strShimPrototype],new n)}var Constructor="constructor",Prototype="prototype",strFunction="function",DynInstFuncTable="_dynInstFuncs",DynProxyTag="_isDynProxy",DynClassName="_dynClass",DynClassNamePrefix="_dynCls$",DynInstChkTag="_dynInstChk",DynAllowInstChkTag=DynInstChkTag,DynProtoDefaultOptions="_dfOpts",UnknownValue="_unknown_",str__Proto="__proto__",DynProtoBaseProto="_dyn"+str__Proto,DynProtoGlobalSettings="__dynProto$Gbl",DynProtoCurrent="_dynInstProto",strUseBaseInst="useBaseInst",strSetInstFuncs="setInstFuncs",Obj=Object,_objGetPrototypeOf=Obj.getPrototypeOf,_objGetOwnProps=Obj.getOwnPropertyNames,_gbl=getGlobal(),_gblInst=_gbl[DynProtoGlobalSettings]||(_gbl[DynProtoGlobalSettings]={o:((_a$3={})[strSetInstFuncs]=!0,_a$3[strUseBaseInst]=!0,_a$3),n:1e3});function _isObjectOrArrayPrototype(e){return e&&(e===Obj[Prototype]||e===Array[Prototype])}function _isObjectArrayOrFunctionPrototype(e){return _isObjectOrArrayPrototype(e)||e===Function[Prototype]}function _getObjProto(e){if(e){if(_objGetPrototypeOf)return _objGetPrototypeOf(e);var t=e[str__Proto]||e[Prototype]||(e[Constructor]?e[Constructor][Prototype]:null),n=e[DynProtoBaseProto]||t;objHasOwnProperty(e,DynProtoBaseProto)||(delete e[DynProtoCurrent],n=e[DynProtoBaseProto]=e[DynProtoCurrent]||e[DynProtoBaseProto],e[DynProtoCurrent]=t)}return n}function _forEachProp(e,t){var n=[];if(_objGetOwnProps)n=_objGetOwnProps(e);else for(var r in e)"string"==typeof r&&objHasOwnProperty(e,r)&&n.push(r);if(n&&0<n.length)for(var o=0;o<n.length;o++)t(n[o])}function _isDynamicCandidate(e,t,n){return t!==Constructor&&typeof e[t]===strFunction&&(n||objHasOwnProperty(e,t))&&t!==str__Proto&&t!==Prototype}function _throwTypeError(e){throwTypeError("DynamicProto: "+e)}function _getInstanceFuncs(t){var n=objCreate(null);return _forEachProp(t,function(e){!n[e]&&_isDynamicCandidate(t,e,!1)&&(n[e]=t[e])}),n}function _hasVisited(e,t){for(var n=e.length-1;0<=n;n--)if(e[n]===t)return!0;return!1}function _getBaseFuncs(e,t,n,_){function r(e,t,n){var r,o=t[n];return o[DynProxyTag]&&_&&!1!==(r=e[DynInstFuncTable]||{})[DynAllowInstChkTag]&&(o=(r[t[DynClassName]]||{})[n]||o),function(){return o.apply(e,arguments)}}for(var o=objCreate(null),a=(_forEachProp(n,function(e){o[e]=r(t,n,e)}),_getObjProto(e)),i=[];a&&!_isObjectArrayOrFunctionPrototype(a)&&!_hasVisited(i,a);)_forEachProp(a,function(e){!o[e]&&_isDynamicCandidate(a,e,!_objGetPrototypeOf)&&(o[e]=r(t,a,e))}),i.push(a),a=_getObjProto(a);return o}function _getInstFunc(e,t,n,r){var o=null;if(e&&objHasOwnProperty(n,DynClassName)){var _=e[DynInstFuncTable]||objCreate(null);if((o=(_[n[DynClassName]]||objCreate(null))[t])||_throwTypeError("Missing ["+t+"] "+strFunction),!o[DynInstChkTag]&&!1!==_[DynAllowInstChkTag]){for(var a=!objHasOwnProperty(e,t),i=_getObjProto(e),c=[];a&&i&&!_isObjectArrayOrFunctionPrototype(i)&&!_hasVisited(c,i);){var s=i[t];if(s){a=s===r;break}c.push(i),i=_getObjProto(i)}try{a&&(e[t]=o),o[DynInstChkTag]=1}catch(u){_[DynAllowInstChkTag]=!1}}}return o}function _getProtoFunc(e,t,n){var r=t[e];return typeof(r=r===n?_getObjProto(t)[e]:r)!==strFunction&&_throwTypeError("["+e+"] is not a "+strFunction),r}function _populatePrototype(o,e,_,a,t){var n,i;_isObjectOrArrayPrototype(o)||_isObjectOrArrayPrototype(n=_[DynInstFuncTable]=_[DynInstFuncTable]||objCreate(null))||(i=n[e]=n[e]||objCreate(null),!1!==n[DynAllowInstChkTag]&&(n[DynAllowInstChkTag]=!!t),_isObjectOrArrayPrototype(i)||_forEachProp(_,function(e){var t,n,r;_isDynamicCandidate(_,e,!1)&&_[e]!==a[e]&&(i[e]=_[e],delete _[e],objHasOwnProperty(o,e)&&(!o[e]||o[e][DynProxyTag])||(o[e]=(t=o,n=e,(r=function(){return(_getInstFunc(this,n,t,r)||_getProtoFunc(n,t,r)).apply(this,arguments)})[DynProxyTag]=1,r)))}))}function _checkPrototype(e,t){if(_objGetPrototypeOf){for(var n=[],r=_getObjProto(t);r&&!_isObjectArrayOrFunctionPrototype(r)&&!_hasVisited(n,r);){if(r===e)return!0;n.push(r),r=_getObjProto(r)}return!1}return!0}function _getObjName(e,t){return objHasOwnProperty(e,Prototype)?e.name||t||UnknownValue:((e||{})[Constructor]||{}).name||t||UnknownValue}function dynamicProto(e,t,n,r){objHasOwnProperty(e,Prototype)||_throwTypeError("theClass is an invalid class definition.");var o=e[Prototype],_=(_checkPrototype(o,t)||_throwTypeError("["+_getObjName(e)+"] not in hierarchy of ["+_getObjName(t)+"]"),null),e=(objHasOwnProperty(o,DynClassName)?_=o[DynClassName]:(_=DynClassNamePrefix+_getObjName(e,"_")+"$"+_gblInst.n,_gblInst.n++,o[DynClassName]=_),dynamicProto[DynProtoDefaultOptions]),a=!!e[strUseBaseInst],i=(a&&r&&r[strUseBaseInst]!==undefined&&(a=!!r[strUseBaseInst]),_getInstanceFuncs(t)),a=(n(t,_getBaseFuncs(o,t,i,a)),!!_objGetPrototypeOf&&!!e[strSetInstFuncs]);_populatePrototype(o,_,t,i,!1!==(a=a&&r?!!r[strSetInstFuncs]:a))}dynamicProto[DynProtoDefaultOptions]=_gblInst.o;var aggregationErrorType,_DYN_TO_LOWER_CASE="toLowerCase",_DYN_LENGTH$1="length",_DYN_WARN_TO_CONSOLE="warnToConsole",_DYN_THROW_INTERNAL="throwInternal",_DYN_WATCH="watch",_DYN_APPLY="apply",_DYN_PUSH="push",_DYN_SPLICE="splice",_DYN_LOGGER="logger",_DYN_CANCEL="cancel",_DYN_INITIALIZE="initialize",_DYN_IDENTIFIER="identifier",_DYN_IS_INITIALIZED="isInitialized",_DYN_GET_PLUGIN="getPlugin",_DYN_NAME$1="name",_DYN_PROCESS_NEXT="processNext",_DYN_GET_PROCESS_TEL_CONT2="getProcessTelContext",_DYN_UNLOAD="unload",_DYN_LOGGING_LEVEL_CONSOL4="loggingLevelConsole",_DYN_CREATE_NEW="createNew",_DYN_TEARDOWN="teardown",_DYN_MESSAGE_ID="messageId",_DYN_MESSAGE="message",_DYN_DIAG_LOG="diagLog",_DYN__DO_TEARDOWN="_doTeardown",_DYN_UPDATE="update",_DYN_GET_NEXT="getNext",_DYN_SET_NEXT_PLUGIN="setNextPlugin",_DYN_USER_AGENT="userAgent",_DYN_SPLIT="split",_DYN_REPLACE="replace",_DYN_TYPE="type",_DYN_EVT_NAME="evtName",_DYN_IS_CHILD_EVT="isChildEvt",_DYN_GET_CTX="getCtx",_DYN_SET_CTX="setCtx";function throwAggregationError(e,t){aggregationErrorType=aggregationErrorType||createCustomError("AggregationError",function(e,t){1<t[_DYN_LENGTH$1]&&(e.errors=t[1])});var n=e||"One or more errors occurred.";throw arrForEach(t,function(e,t){n+="\n".concat(t," > ").concat(dumpObj(e))}),new aggregationErrorType(n,t||[])}var UNDEFINED_VALUE=undefined,STR_EMPTY="",STR_CORE="core",STR_DISABLED="disabled",STR_EXTENSION_CONFIG="extensionConfig",STR_PROCESS_TELEMETRY="processTelemetry",STR_PRIORITY="priority",STR_GET_PERF_MGR="getPerfMgr",STR_NOT_DYNAMIC_ERROR="Not dynamic - ",rCamelCase=/-([a-z])/g,rNormalizeInvalid=/([^\w\d_$])/g,rLeadingNumeric=/^(\d+[\w\d_$])/;function isNotNullOrUndefined(e){return!isNullOrUndefined(e)}function normalizeJsName(e){return e&&isString(e)?(e=(e=e[_DYN_REPLACE](rCamelCase,function(e,t){return t.toUpperCase()}))[_DYN_REPLACE](rNormalizeInvalid,"_"))[_DYN_REPLACE](rLeadingNumeric,function(e,t){return"_"+t}):e}function strContains(e,t){return!(!e||!t)&&-1!==strIndexOf(e,t)}function getExceptionName(e){return isError(e)?e[_DYN_NAME$1]:STR_EMPTY}function _createProxyFunction(e,t){var n=null,r=null;return isFunction(e)?n=e:r=e,function(){var e=arguments;if(r=n?n():r)return r[t][_DYN_APPLY](r,e)}}function proxyFunctionAs(e,t,n,r,o){e&&t&&n&&(!1===o&&!isUndefined(e[t])||(e[t]=_createProxyFunction(n,r)))}function objExtend(e,t,n,r,o,_){var a=arguments,i=a[0]||{},c=a[_DYN_LENGTH$1],s=!1,u=1;for(0<c&&isBoolean(i)&&(s=i,i=a[u]||{},u++),isObject(i)||(i={});u<c;u++){var l,f,N,E,T=a[u],D=isArray(T),g=isObject(T);for(l in T)(D&&l in T||g&&objHasOwn(T,l))&&(f=T[l],N=void 0,s&&f&&((N=isArray(f))||isPlainObject(f))&&(E=i[l],N?isArray(E)||(E=[]):isPlainObject(E)||(E={}),f=objExtend(s,E,f)),f!==undefined&&(i[l]=f))}return i}var strLocation="location",strConsole="console",strJSON="JSON",strCrypto="crypto",strMsCrypto="msCrypto",strMsie="msie",strTrident="trident/",_isTrident=null,_navUserAgentCheck=null,_enableMocks=!1;function getLocation(e){if(e&&_enableMocks){e=getInst("__mockLocation");if(e)return e}return typeof location===strShimObject&&location?location:getInst(strLocation)}function getConsole(){return typeof console!==strShimUndefined?console:getInst(strConsole)}function hasJSON(){return!!(typeof JSON===strShimObject&&JSON||null!==getInst(strJSON))}function getJSON(){return hasJSON()?JSON||getInst(strJSON):null}function getCrypto(){return getInst(strCrypto)}function getMsCrypto(){return getInst(strMsCrypto)}function isIE(){var e=getNavigator();return!e||e[_DYN_USER_AGENT]===_navUserAgentCheck&&null!==_isTrident||(e=((_navUserAgentCheck=e[_DYN_USER_AGENT])||STR_EMPTY)[_DYN_TO_LOWER_CASE](),_isTrident=strContains(e,strMsie)||strContains(e,strTrident)),_isTrident}var UInt32Mask=4294967296,MaxUInt32=4294967295,SEED1=123456789,SEED2=987654321,_mwcSeeded=!1,_mwcW=SEED1,_mwcZ=SEED2;function _mwcSeed(e){e<0&&(e>>>=0),_mwcW=SEED1+e&MaxUInt32,_mwcZ=SEED2-e&MaxUInt32,_mwcSeeded=!0}function _autoSeedMwc(){try{var e=2147483647&utcNow();_mwcSeed((Math.random()*UInt32Mask^e)+e)}catch(t){}}function random32(e){var t=0,n=getCrypto()||getMsCrypto();return 0===(t=n&&n.getRandomValues?n.getRandomValues(new Uint32Array(1))[0]&MaxUInt32:t)&&isIE()&&(_mwcSeeded||_autoSeedMwc(),t=mwcRandom32()&MaxUInt32),0===t&&(t=mathFloor(UInt32Mask*Math.random()|0)),e||(t>>>=0),t}function mwcRandom32(e){var t=((_mwcZ=36969*(65535&_mwcZ)+(_mwcZ>>16)&MaxUInt32)<<16)+(65535&(_mwcW=18e3*(65535&_mwcW)+(_mwcW>>16)&MaxUInt32))>>>0&MaxUInt32|0;return e||(t>>>=0),t}function newId(e){void 0===e&&(e=22);for(var t=random32()>>>0,n=0,r=STR_EMPTY;r[_DYN_LENGTH$1]<e;)r+="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"[0|63&t]||"",t>>>=6,5==++n&&(t=(random32()<<2&4294967295|3&t)>>>0,n=0);return r}var version="3.3.8",instanceName="."+newId(6),_dataUid=0;function _canAcceptData(e){return 1===e.nodeType||9===e.nodeType||!+e.nodeType}function _getCache(e,t){var n=t[e.id];if(!n){n={};try{_canAcceptData(t)&&objDefine(t,e.id,{e:!1,v:n})}catch(r){}}return n}function createUniqueNamespace(e,t){return normalizeJsName(e+_dataUid+++((t=void 0!==t&&t)?"."+version:STR_EMPTY)+instanceName)}function createElmNodeData(e){var _={id:createUniqueNamespace("_aiData-"+(e||STR_EMPTY)+"."+version),accept:function(e){return _canAcceptData(e)},get:function(e,t,n,r){var o=e[_.id];return o?o[normalizeJsName(t)]:(r&&((o=_getCache(_,e))[normalizeJsName(t)]=n),n)},kill:function(e,t){if(e&&e[t])try{delete e[t]}catch(n){}}};return _}function _isConfigDefaults(e){return e&&isObject(e)&&!isArray(e)&&(e.isVal||e.fb||objHasOwn(e,"v")||objHasOwn(e,"mrg")||objHasOwn(e,"ref")||e.set)}function _getDefault(e,t,n){var r,o=n.dfVal||isDefined;if(t&&n.fb){var _=n.fb;isArray(_)||(_=[_]);for(var a=0;a<_[_DYN_LENGTH$1];a++){var i=_[a],c=t[i];if(o(c)?r=c:e&&(o(c=e.cfg[i])&&(r=c),e.set(e.cfg,asString(i),c)),o(r))break}}return!o(r)&&o(n.v)?n.v:r}function _resolveDefaultValue(n,r,e){var o,t=e;return(t=e&&_isConfigDefaults(e)?_getDefault(n,r,e):t)&&(_isConfigDefaults(t)&&(t=_resolveDefaultValue(n,r,t)),isArray(t)?(o=[])[_DYN_LENGTH$1]=t[_DYN_LENGTH$1]:isPlainObject(t)&&(o={}),o&&(objForEachKey(t,function(e,t){t&&_isConfigDefaults(t)&&(t=_resolveDefaultValue(n,r,t)),o[e]=t}),t=o)),t}function _applyDefaultValue(n,e,t,r){var o,_,a,i,c,s,u=r,u=_isConfigDefaults(u)?(o=u.isVal,_=u.set,c=u.rdOnly,l=u.blkVal,a=u.mrg,!(i=u.ref)&&isUndefined(i)&&(i=!!a),_getDefault(n,e,u)):r,r=(l&&n.blkVal(e,t),!0),l=e[t];!l&&isNullOrUndefined(l)||(s=l,r=!1,o&&s!==u&&!o(s)&&(s=u,r=!0),_&&(r=(s=_(s,u,e))===u)),r?s=u&&_resolveDefaultValue(n,e,u):(isPlainObject(s)||isArray(u))&&a&&u&&(isPlainObject(u)||isArray(u))&&objForEachKey(u,function(e,t){_applyDefaultValue(n,s,e,t)}),n.set(e,t,s),i&&n.ref(e,t),c&&n.rdOnly(e,t)}var CFG_HANDLER_LINK=symbolFor("[[ai_dynCfg_1]]"),BLOCK_DYNAMIC=symbolFor("[[ai_blkDynCfg_1]]"),FORCE_DYNAMIC=symbolFor("[[ai_frcDynCfg_1]]");function _cfgDeepCopy(e){var n;return e&&(isArray(e)?(n=[])[_DYN_LENGTH$1]=e[_DYN_LENGTH$1]:isPlainObject(e)&&(n={}),n)?(objForEachKey(e,function(e,t){n[e]=_cfgDeepCopy(t)}),n):e}function getDynamicConfigHandler(e){if(e){var t=e[CFG_HANDLER_LINK]||e;if(t.cfg&&(t.cfg===e||t.cfg[CFG_HANDLER_LINK]===t))return t}return null}function blockDynamicConversion(e){if(e&&(isPlainObject(e)||isArray(e)))try{e[BLOCK_DYNAMIC]=!0}catch(t){}return e}function _canMakeDynamic(e,t,n){var r=!1;return!n||e[t.blkVal]||(r=n[FORCE_DYNAMIC])||n[BLOCK_DYNAMIC]?r:isPlainObject(n)||isArray(n)}function throwInvalidAccess(e){throwTypeError("InvalidAccess:"+e)}var arrayMethodsToPatch=["push","pop","shift","unshift","splice"],_throwDynamicError=function(e,t,n,r){e&&e[_DYN_THROW_INTERNAL](3,108,"".concat(n," [").concat(t,"] failed - ")+dumpObj(r))};function _patchArray(o,_,a){isArray(_)&&arrForEach(arrayMethodsToPatch,function(e){var r=_[e];_[e]=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var n=r[_DYN_APPLY](this,e);return _makeDynamicObject(o,_,a,"Patching"),n}})}function _getOwnPropGetter(e,t){e=objGetOwnPropertyDescriptor(e,t);return e&&e.get}function _createDynamicProperty(o,_,a,i){var c={n:a,h:[],trk:function(e){e&&e.fn&&(-1===arrIndexOf(c.h,e)&&c.h[_DYN_PUSH](e),o.trk(e,c))},clr:function(e){e=arrIndexOf(c.h,e);-1!==e&&c.h[_DYN_SPLICE](e,1)}},s=!0,u=!1;function l(){s&&(u=u||_canMakeDynamic(l,o,i),i&&!i[CFG_HANDLER_LINK]&&u&&(i=_makeDynamicObject(o,i,a,"Converting")),s=!1);var e=o.act;return e&&c.trk(e),i}l[o.prop]={chng:function(){o.add(c)}},objDefine(_,c.n,{g:l,s:function(t){if(i!==t){l[o.ro]&&!o.upd&&throwInvalidAccess("["+a+"] is read-only:"+dumpObj(_)),s&&(u=u||_canMakeDynamic(l,o,i),s=!1);var e,n=u&&l[o.rf];if(u)if(n){objForEachKey(i,function(e){i[e]=t?t[e]:UNDEFINED_VALUE});try{objForEachKey(t,function(e,t){_setDynamicProperty(o,i,e,t)}),t=i}catch(r){_throwDynamicError((o.hdlr||{})[_DYN_LOGGER],a,"Assigning",r),u=!1}}else i&&i[CFG_HANDLER_LINK]&&objForEachKey(i,function(e){var e=_getOwnPropGetter(i,e);e&&(e=e[o.prop])&&e.chng()});t!==i&&(e=t&&_canMakeDynamic(l,o,t),!n&&e&&(t=_makeDynamicObject(o,t,a,"Converting")),i=t,u=e),o.add(c)}}})}function _setDynamicProperty(e,t,n,r){var o;return t&&((o=_getOwnPropGetter(t,n))&&o[e.prop]?t[n]=r:_createDynamicProperty(e,t,n,r)),t}function _setDynamicPropertyState(e,t,n,r){if(t){var o=_getOwnPropGetter(t,n),_=o&&!!o[e.prop],a=r&&r[0],i=r&&r[1],r=r&&r[2];if(!_){if(r)try{blockDynamicConversion(t)}catch(c){_throwDynamicError((e.hdlr||{})[_DYN_LOGGER],n,"Blocking",c)}try{_setDynamicProperty(e,t,n,t[n]),o=_getOwnPropGetter(t,n)}catch(c){_throwDynamicError((e.hdlr||{})[_DYN_LOGGER],n,"State",c)}}a&&(o[e.rf]=a),i&&(o[e.ro]=i),r&&(o[e.blkVal]=!0)}return t}function _makeDynamicObject(n,r,e,t){try{objForEachKey(r,function(e,t){_setDynamicProperty(n,r,e,t)}),r[CFG_HANDLER_LINK]||(objDefineProp(r,CFG_HANDLER_LINK,{get:function(){return n.hdlr}}),_patchArray(n,r,e))}catch(o){_throwDynamicError((n.hdlr||{})[_DYN_LOGGER],e,t,o)}return r}var symPrefix="[[ai_",symPostfix="]]";function _createState(_){var a,e=newSymbol(symPrefix+"get"+_.uid+symPostfix),t=newSymbol(symPrefix+"ro"+_.uid+symPostfix),n=newSymbol(symPrefix+"rf"+_.uid+symPostfix),r=newSymbol(symPrefix+"blkVal"+_.uid+symPostfix),i=newSymbol(symPrefix+"dtl"+_.uid+symPostfix),o=null,c=null;function s(t,e){var n=a.act;try{(a.act=t)&&t[i]&&(arrForEach(t[i],function(e){e.clr(t)}),t[i]=[]),e({cfg:_.cfg,set:_.set.bind(_),setDf:_.setDf.bind(_),ref:_.ref.bind(_),rdOnly:_.rdOnly.bind(_)})}catch(o){var r=_[_DYN_LOGGER];throw r&&r[_DYN_THROW_INTERNAL](1,107,dumpObj(o)),o}finally{a.act=n||null}}function u(){if(o){var e=o,n=(o=null,c&&c[_DYN_CANCEL](),c=null,[]);if(arrForEach(e,function(t){if(t&&(t[i]&&(arrForEach(t[i],function(e){e.clr(t)}),t[i]=null),t.fn))try{s(t,t.fn)}catch(e){n[_DYN_PUSH](e)}}),o)try{u()}catch(t){n[_DYN_PUSH](t)}0<n[_DYN_LENGTH$1]&&throwAggregationError("Watcher error(s): ",n)}}return a={prop:e,ro:t,rf:n,blkVal:r,hdlr:_,add:function(e){if(e&&0<e.h[_DYN_LENGTH$1]){o=o||[],c=c||scheduleTimeout(function(){c=null,u()},0);for(var t=0;t<e.h[_DYN_LENGTH$1];t++){var n=e.h[t];n&&-1===arrIndexOf(o,n)&&o[_DYN_PUSH](n)}}},notify:u,use:s,trk:function(e,t){e&&(e=e[i]=e[i]||[],-1===arrIndexOf(e,t)&&e[_DYN_PUSH](t))}}}function _createAndUseHandler(e,t){var n={fn:t,rm:function(){n.fn=null,t=e=null}};return objDefine(n,"toJSON",{v:function(){return"WatcherHandler"+(n.fn?"":"[X]")}}),e.use(n,t),n}function _createDynamicHandler(o,e,t){var n=getDynamicConfigHandler(e);if(n)return n;var _,n=createUniqueNamespace("dyncfg",!0),t=e&&!1!==t?e:_cfgDeepCopy(e),r={uid:null,cfg:t,logger:o,notify:function(){_.notify()},set:function(e,t,n){try{e=_setDynamicProperty(_,e,t,n)}catch(r){_throwDynamicError(o,t,"Setting value",r)}return e[t]},setDf:function(n,e){return e&&objForEachKey(e,function(e,t){_applyDefaultValue(r,n,e,t)}),n},watch:function(e){return _createAndUseHandler(_,e)},ref:function(e,t){return _setDynamicPropertyState(_,e,t,((e={})[0]=!0,e))[t]},rdOnly:function(e,t){return _setDynamicPropertyState(_,e,t,((e={})[1]=!0,e))[t]},blkVal:function(e,t){return _setDynamicPropertyState(_,e,t,((e={})[2]=!0,e))[t]},_block:function(n,r){_.use(null,function(e){var t=_.upd;try{isUndefined(r)||(_.upd=r),n(e)}finally{_.upd=t}})}};return objDefine(r,"uid",{c:!1,e:!1,w:!1,v:n}),_makeDynamicObject(_=_createState(r),t,"config","Creating"),r}function _logInvalidAccess(e,t){e?(e[_DYN_WARN_TO_CONSOLE](t),e[_DYN_THROW_INTERNAL](2,108,t)):throwInvalidAccess(t)}function createDynamicConfig(e,t,n,r){n=_createDynamicHandler(n,e||{},r);return t&&n.setDf(n.cfg,t),n}function onConfigChange(e,t,n){var r=e[CFG_HANDLER_LINK]||e;return!r.cfg||r.cfg!==e&&r.cfg[CFG_HANDLER_LINK]!==r?(_logInvalidAccess(n,STR_NOT_DYNAMIC_ERROR+dumpObj(e)),createDynamicConfig(e,null,n)[_DYN_WATCH](t)):r[_DYN_WATCH](t)}function cfgDfMerge(e){return{mrg:!0,v:e}}function cfgDfValidate(e,t,n){return{fb:n,isVal:e,v:t}}function cfgDfFunc(e){return{isVal:isFunction,v:e||null}}function cfgDfString(e){return{isVal:isString,v:asString(e||STR_EMPTY)}}var _a$2,_aiNamespace=null;function _getExtensionNamespace(){var e=getInst("Microsoft");return _aiNamespace=e?e.ApplicationInsights:_aiNamespace}function getDebugExt(e){var t=_aiNamespace;return(t=t||!0===e.disableDbgExt?t:_aiNamespace||_getExtensionNamespace())?t.ChromeDbgExt:null}var STR_WARN_TO_CONSOLE="warnToConsole",AiNonUserActionablePrefix="AI (Internal): ",AiUserActionablePrefix="AI: ",AIInternalMessagePrefix="AITR_",defaultValues$2={loggingLevelConsole:0,loggingLevelTelemetry:1,maxMessageLimit:25,enableDebug:!1},_logFuncs=((_a$2={})[0]=null,_a$2[1]="errorToConsole",_a$2[2]=STR_WARN_TO_CONSOLE,_a$2[3]="debugToConsole",_a$2);function _sanitizeDiagnosticText(e){return e?'"'+e[_DYN_REPLACE](/\"/g,STR_EMPTY)+'"':STR_EMPTY}function _logToConsole(e,t){var n,r=getConsole();r&&(n="log",r[e]&&(n=e),isFunction(r[n])&&r[n](t))}var _InternalLogMessage=function(){function e(e,t,n,r){void 0===n&&(n=!1),this[_DYN_MESSAGE_ID]=e,this[_DYN_MESSAGE]=(n?AiUserActionablePrefix:AiNonUserActionablePrefix)+e;n=STR_EMPTY,hasJSON()&&(n=getJSON().stringify(r)),e=(t?" message:"+_sanitizeDiagnosticText(t):STR_EMPTY)+(r?" props:"+_sanitizeDiagnosticText(n):STR_EMPTY);this[_DYN_MESSAGE]+=e}return e.dataType="MessageData",e}();function safeGetLogger(e,t){return(e||{})[_DYN_LOGGER]||new DiagnosticLogger(t)}var DiagnosticLogger=function(){function e(r){this.identifier="DiagnosticLogger",this.queue=[];var c,o,s,u,t,l=0,f={};dynamicProto(e,this,function(_){function a(e,t){var n,r;s<=l||(r=!0,n=AIInternalMessagePrefix+t[_DYN_MESSAGE_ID],f[n]?r=!1:f[n]=!0,r&&(e<=o&&(_.queue[_DYN_PUSH](t),l++,i(1===e?"error":"warn",t)),l===s&&(r=new _InternalLogMessage(23,n="Internal events throttle limit per PageView reached for this app.",!1),_.queue[_DYN_PUSH](r),1===e?_.errorToConsole(n):_[_DYN_WARN_TO_CONSOLE](n))))}function i(e,t){var n=getDebugExt(r||{});n&&n[_DYN_DIAG_LOG]&&n[_DYN_DIAG_LOG](e,t)}t=onConfigChange(createDynamicConfig(r||{},defaultValues$2,_).cfg,function(e){e=e.cfg;c=e[_DYN_LOGGING_LEVEL_CONSOL4],o=e.loggingLevelTelemetry,s=e.maxMessageLimit,u=e.enableDebug}),_.consoleLoggingLevel=function(){return c},_[_DYN_THROW_INTERNAL]=function(e,t,n,r,o){t=new _InternalLogMessage(t,n,o=void 0!==o&&o,r);if(u)throw dumpObj(t);n=_logFuncs[e]||STR_WARN_TO_CONSOLE;isUndefined(t[_DYN_MESSAGE])?i("throw"+(1===e?"Critical":"Warning"),t):(o?(r=+t[_DYN_MESSAGE_ID],!f[r]&&e<=c&&(_[n](t[_DYN_MESSAGE]),f[r]=!0)):e<=c&&_[n](t[_DYN_MESSAGE]),a(e,t))},_.debugToConsole=function(e){_logToConsole("debug",e),i("warning",e)},_[_DYN_WARN_TO_CONSOLE]=function(e){_logToConsole("warn",e),i("warning",e)},_.errorToConsole=function(e){_logToConsole("error",e),i("error",e)},_.resetInternalMessageCount=function(){l=0,f={}},_.logInternalMessage=a,_[_DYN_UNLOAD]=function(e){t&&t.rm(),t=null}})}return e.__ieDyn=1,e}();function _getLogger(e){return e||new DiagnosticLogger}function _throwInternal(e,t,n,r,o,_){void 0===_&&(_=!1),_getLogger(e)[_DYN_THROW_INTERNAL](t,n,r,o,_)}var strExecutionContextKey="ctx",strParentContextKey="ParentContextKey",strChildrenContextKey="ChildrenContextKey",PerfEvent=function(){function _(e,t,n){var r,o=this;o.start=utcNow(),o[_DYN_NAME$1]=e,o.isAsync=n,o[_DYN_IS_CHILD_EVT]=function(){return!1},isFunction(t)&&objDefine(o,"payload",{g:function(){return!r&&isFunction(t)&&(r=t(),t=null),r}}),o[_DYN_GET_CTX]=function(e){return e?(e===_[strParentContextKey]||e===_[strChildrenContextKey]?o:o[strExecutionContextKey]||{})[e]:null},o[_DYN_SET_CTX]=function(e,t){e&&(e===_[strParentContextKey]?(o[e]||(o[_DYN_IS_CHILD_EVT]=function(){return!0}),o[e]=t):e===_[strChildrenContextKey]?o[e]=t:(o[strExecutionContextKey]=o[strExecutionContextKey]||{})[e]=t)},o.complete=function(){var e=0,t=o[_DYN_GET_CTX](_[strChildrenContextKey]);if(isArray(t))for(var n=0;n<t[_DYN_LENGTH$1];n++){var r=t[n];r&&(e+=r.time)}o.time=utcNow()-o.start,o.exTime=o.time-e,o.complete=function(){}}}return _.ParentContextKey="parent",_.ChildrenContextKey="childEvts",_}(),doPerfActiveKey="CoreUtils.doPerf";function doPerf(e,t,n,r,o){if(e)if(e=e[STR_GET_PERF_MGR]?e[STR_GET_PERF_MGR]():e){var _,a=void 0,i=e[_DYN_GET_CTX](doPerfActiveKey);try{if(a=e.create(t(),r,o))return i&&a[_DYN_SET_CTX]&&(a[_DYN_SET_CTX](PerfEvent[strParentContextKey],i),i[_DYN_GET_CTX]&&i[_DYN_SET_CTX]&&((_=i[_DYN_GET_CTX](PerfEvent[strChildrenContextKey]))||(_=[],i[_DYN_SET_CTX](PerfEvent[strChildrenContextKey],_)),_[_DYN_PUSH](a))),e[_DYN_SET_CTX](doPerfActiveKey,a),n(a)}catch(c){a&&a[_DYN_SET_CTX]&&a[_DYN_SET_CTX]("exception",c)}finally{a&&e.fire(a),e[_DYN_SET_CTX](doPerfActiveKey,i)}}return n()}var pluginStateData=createElmNodeData("plugin");function _getPluginState(e){return pluginStateData.get(e,"state",{},!0)}function unloadComponents(n,r,o,e){var _=0;return function a(){for(;_<n[_DYN_LENGTH$1];){var e=n[_++];if(e){var t=e._doUnload||e[_DYN__DO_TEARDOWN];if(isFunction(t)&&!0===t.call(e,r,o,a))return!0}}}()}var _a$1,strTelemetryPluginChain="TelemetryPluginChain",strHasRunFlags="_hasRun",strGetTelCtx="_getTelCtx",_chainId=0;function _getNextProxyStart(e,t,n){for(;e;){if(e[_DYN_GET_PLUGIN]()===n)return e;e=e[_DYN_GET_NEXT]()}return createTelemetryProxyChain([n],t.config||{},t)}function _createInternalContext(e,_,n,t){var r=null,o=[],a=(_=_||createDynamicConfig({},null,n[_DYN_LOGGER]),null!==t&&(r=t?_getNextProxyStart(e,n,t):e),{_next:function(){var e,t=r;return r=t?t[_DYN_GET_NEXT]():null,t||(e=o)&&0<e[_DYN_LENGTH$1]&&(arrForEach(e,function(e){try{e.func.call(e.self,e.args)}catch(t){_throwInternal(n[_DYN_LOGGER],2,73,"Unexpected Exception during onComplete - "+dumpObj(t))}}),o=[]),t},ctx:{core:function(){return n},diagLog:function(){return safeGetLogger(n,_.cfg)},getCfg:function(){return _.cfg},getExtCfg:function(e,t){var r=i(e,!0);return t&&objForEachKey(t,function(e,t){var n;!isNullOrUndefined(r[e])||!(n=_.cfg[e])&&isNullOrUndefined(n)||(r[e]=n),_applyDefaultValue(_,r,e,t)}),_.setDf(r,t)},getConfig:function(e,t,n){void 0===n&&(n=!1);var r,e=i(e,!1),o=_.cfg;return!e||!e[t]&&isNullOrUndefined(e[t])?!o[t]&&isNullOrUndefined(o[t])||(r=o[t]):r=e[t],r||!isNullOrUndefined(r)?r:n},hasNext:function(){return!!r},getNext:function(){return r},setNext:function(e){r=e},iterate:function(e){for(;t=a._next();){var t=t[_DYN_GET_PLUGIN]();t&&e(t)}},onComplete:function(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];e&&o[_DYN_PUSH]({func:e,self:isUndefined(t)?a.ctx:t,args:n})}}});function i(e,t){var n,r=null,o=_.cfg;return o&&e&&(n=o[STR_EXTENSION_CONFIG],o[STR_EXTENSION_CONFIG]=n=!n&&t?{}:n,(n=_.ref(o,STR_EXTENSION_CONFIG))&&(r=n[e],n[e]=r=!r&&t?{}:r,r=_.ref(n,e))),r}return a}function createProcessTelemetryContext(e,t,n,r){var o=createDynamicConfig(t),_=_createInternalContext(e,o,n,r),a=_.ctx;return a[_DYN_PROCESS_NEXT]=function(e){var t=_._next();return t&&t[STR_PROCESS_TELEMETRY](e,a),!t},a[_DYN_CREATE_NEW]=function(e,t){return createProcessTelemetryContext((e=isArray(e=void 0===e?null:e)?createTelemetryProxyChain(e,o.cfg,n,t):e)||a[_DYN_GET_NEXT](),o.cfg,n,t)},a}function createProcessTelemetryUnloadContext(e,n,t){var r=createDynamicConfig(n.config),o=_createInternalContext(e,r,n,t),_=o.ctx;return _[_DYN_PROCESS_NEXT]=function(e){var t=o._next();return t&&t[_DYN_UNLOAD](_,e),!t},_[_DYN_CREATE_NEW]=function(e,t){return createProcessTelemetryUnloadContext((e=isArray(e=void 0===e?null:e)?createTelemetryProxyChain(e,r.cfg,n,t):e)||_[_DYN_GET_NEXT](),n,t)},_}function createProcessTelemetryUpdateContext(e,n,t){var r=createDynamicConfig(n.config),o=_createInternalContext(e,r,n,t).ctx;return o[_DYN_PROCESS_NEXT]=function(t){return o.iterate(function(e){isFunction(e[_DYN_UPDATE])&&e[_DYN_UPDATE](o,t)})},o[_DYN_CREATE_NEW]=function(e,t){return createProcessTelemetryUpdateContext((e=isArray(e=void 0===e?null:e)?createTelemetryProxyChain(e,r.cfg,n,t):e)||o[_DYN_GET_NEXT](),n,t)},o}function createTelemetryProxyChain(e,t,n,r){var o,_=null,a=!r;return isArray(e)&&0<e[_DYN_LENGTH$1]&&(o=null,arrForEach(e,function(e){(a=!a&&r===e||a)&&e&&isFunction(e[STR_PROCESS_TELEMETRY])&&(e=createTelemetryPluginProxy(e,t,n),_=_||e,o&&o._setNext(e),o=e)})),r&&!_?createTelemetryProxyChain([r],t,n):_}function createTelemetryPluginProxy(c,r,o){var s=null,_=isFunction(c[STR_PROCESS_TELEMETRY]),a=isFunction(c[_DYN_SET_NEXT_PLUGIN]),u=c?c[_DYN_IDENTIFIER]+"-"+c[STR_PRIORITY]+"-"+_chainId++:"Unknown-0-"+_chainId++,i={getPlugin:function(){return c},getNext:function(){return s},processTelemetry:function(n,e){var t;l(e=e||(t=(t=c&&isFunction(c[strGetTelCtx])?c[strGetTelCtx]():t)||createProcessTelemetryContext(i,r,o)),function(e){if(!c||!_)return!1;var t=_getPluginState(c);return!t[_DYN_TEARDOWN]&&!t[STR_DISABLED]&&(a&&c[_DYN_SET_NEXT_PLUGIN](s),c[STR_PROCESS_TELEMETRY](n,e),!0)},"processTelemetry",function(){return{item:n}},!n.sync)||e[_DYN_PROCESS_NEXT](n)},unload:function(r,o){l(r,function(){var e,t,n=!1;return c&&(e=_getPluginState(c),t=c[STR_CORE]||e[STR_CORE],!c||t&&t!==r.core()||e[_DYN_TEARDOWN]||(e[STR_CORE]=null,e[_DYN_TEARDOWN]=!0,e[_DYN_IS_INITIALIZED]=!1,c[_DYN_TEARDOWN]&&!0===c[_DYN_TEARDOWN](r,o)&&(n=!0))),n},"unload",function(){},o.isAsync)||r[_DYN_PROCESS_NEXT](o)},update:function(r,o){l(r,function(){var e,t,n=!1;return c&&(e=_getPluginState(c),t=c[STR_CORE]||e[STR_CORE],!c||t&&t!==r.core()||e[_DYN_TEARDOWN]||c[_DYN_UPDATE]&&!0===c[_DYN_UPDATE](r,o)&&(n=!0)),n},"update",function(){},!1)||r[_DYN_PROCESS_NEXT](o)},_id:u,_setNext:function(e){s=e}};function l(n,r,o,e,t){var _=!1,a=c?c[_DYN_IDENTIFIER]:strTelemetryPluginChain,i=(i=n[strHasRunFlags])||(n[strHasRunFlags]={});return n.setNext(s),c&&doPerf(n[STR_CORE](),function(){return a+":"+o},function(){i[u]=!0;try{var e=s?s._id:STR_EMPTY;e&&(i[e]=!1),_=r(n)}catch(t){e=!s||i[s._id];e&&(_=!0),s&&e||_throwInternal(n[_DYN_DIAG_LOG](),1,73,"Plugin ["+a+"] failed during "+o+" - "+dumpObj(t)+", run flags: "+dumpObj(i))}},e,t),_}return objFreeze(i)}function createUnloadHandlerContainer(){var t=[];return{add:function(e){e&&t[_DYN_PUSH](e)},run:function(n,r){arrForEach(t,function(e){try{e(n,r)}catch(t){_throwInternal(n[_DYN_DIAG_LOG](),2,73,"Unexpected error calling unload handler - "+dumpObj(t))}}),t=[]}}}function createUnloadHookContainer(){var t=[];return{run:function(n){var e=t;t=[],arrForEach(e,function(e){try{(e.rm||e.remove).call(e)}catch(t){_throwInternal(n,2,73,"Unloading:"+dumpObj(t))}})},add:function(e){e&&arrAppend(t,e)}}}var strGetPlugin="getPlugin",defaultValues$1=((_a$1={})[STR_EXTENSION_CONFIG]={isVal:isNotNullOrUndefined,v:{}},_a$1),BaseTelemetryPlugin=function(){function e(){var o,_,s,u,l,a=this;function t(e){var t,e=e=void 0===e?null:e;return e||(t=_||createProcessTelemetryContext(null,{},a[STR_CORE]),e=s&&s[strGetPlugin]?t[_DYN_CREATE_NEW](null,s[strGetPlugin]):t[_DYN_CREATE_NEW](null,s)),e}function i(e,t,n){createDynamicConfig(e,defaultValues$1,safeGetLogger(t)),!n&&t&&(n=t[_DYN_GET_PROCESS_TEL_CONT2]()[_DYN_GET_NEXT]());var r=s;s&&s[strGetPlugin]&&(r=s[strGetPlugin]()),a[STR_CORE]=t,_=createProcessTelemetryContext(n,e,t,r)}function f(){o=!1,a[STR_CORE]=null,s=_=null,l=createUnloadHookContainer(),u=createUnloadHandlerContainer()}f(),dynamicProto(e,a,function(c){c[_DYN_INITIALIZE]=function(e,t,n,r){i(e,t,r),o=!0},c[_DYN_TEARDOWN]=function(e,t){var n,r,o,_,a=c[STR_CORE];if(a&&(!e||a===e[STR_CORE]()))return r=!1,o=e||createProcessTelemetryUnloadContext(null,a,s&&s[strGetPlugin]?s[strGetPlugin]():s),_=t||{reason:0,isAsync:!1},c[_DYN__DO_TEARDOWN]&&!0===c[_DYN__DO_TEARDOWN](o,_,i)?n=!0:i(),n;function i(){r||(r=!0,u.run(o,t),l.run(o[_DYN_DIAG_LOG]()),!0===n&&o[_DYN_PROCESS_NEXT](_),f())}},c[_DYN_UPDATE]=function(e,t){var n,r,o,_=c[STR_CORE];if(_&&(!e||_===e[STR_CORE]()))return r=!1,o=e||createProcessTelemetryUpdateContext(null,_,s&&s[strGetPlugin]?s[strGetPlugin]():s),c._doUpdate&&!0===c._doUpdate(o,t||{reason:0},a)?n=!0:a(),n;function a(){r||(r=!0,i(o.getCfg(),o.core(),o[_DYN_GET_NEXT]()))}},proxyFunctionAs(c,"_addUnloadCb",function(){return u},"add"),proxyFunctionAs(c,"_addHook",function(){return l},"add"),objDefine(c,"_unloadHooks",{g:function(){return l}})}),a[_DYN_DIAG_LOG]=function(e){return t(e)[_DYN_DIAG_LOG]()},a[_DYN_IS_INITIALIZED]=function(){return o},a.setInitialized=function(e){o=e},a[_DYN_SET_NEXT_PLUGIN]=function(e){s=e},a[_DYN_PROCESS_NEXT]=function(e,t){t?t[_DYN_PROCESS_NEXT](e):s&&isFunction(s[STR_PROCESS_TELEMETRY])&&s[STR_PROCESS_TELEMETRY](e,null)},a._getTelCtx=t}return e.__ieDyn=1,e}(),strOnPrefix="on",strAttachEvent="attachEvent",strAddEventHelper="addEventListener",strDetachEvent="detachEvent",strRemoveEventListener="removeEventListener",strEvents="events",rRemoveEmptyNs=(createUniqueNamespace("aiEvtPageHide"),createUniqueNamespace("aiEvtPageShow"),/\.[\.]+/g),rRemoveTrailingEmptyNs=/[\.]+$/,_guid=1,elmNodeData=createElmNodeData("events"),eventNamespace=/^([^.]*)(?:\.(.+)|)/;function _normalizeNamespace(e){return e&&e[_DYN_REPLACE]?e[_DYN_REPLACE](/^[\s\.]+|(?=[\s\.])[\.\s]+$/g,STR_EMPTY):e}function _getEvtNamespace(e,t){t&&(n=STR_EMPTY,isArray(t)?(n=STR_EMPTY,arrForEach(t,function(e){(e=_normalizeNamespace(e))&&("."!==e[0]&&(e="."+e),n+=e)})):n=_normalizeNamespace(t),n&&("."!==n[0]&&(n="."+n),e=(e||STR_EMPTY)+n));var n,t=eventNamespace.exec(e||STR_EMPTY)||[];return{type:t[1],ns:(t[2]||STR_EMPTY).replace(rRemoveEmptyNs,".").replace(rRemoveTrailingEmptyNs,STR_EMPTY)[_DYN_SPLIT](".").sort().join(".")}}function _getRegisteredEvents(e,t,n){e=elmNodeData.get(e,strEvents,{},n=void 0===n||n);return e[t]||(e[t]=[])}function _doDetach(e,t,n,r){e&&t&&t[_DYN_TYPE]&&(e[strRemoveEventListener]?e[strRemoveEventListener](t[_DYN_TYPE],n,r):e[strDetachEvent]&&e[strDetachEvent](strOnPrefix+t[_DYN_TYPE],n))}function _doAttach(e,t,n,r){var o=!1;return e&&t&&t[_DYN_TYPE]&&n&&(e[strAddEventHelper]?(e[strAddEventHelper](t[_DYN_TYPE],n,r),o=!0):e[strAttachEvent]&&(e[strAttachEvent](strOnPrefix+t[_DYN_TYPE],n),o=!0)),o}function _doUnregister(e,t,n,r){for(var o=t[_DYN_LENGTH$1];o--;){var _=t[o];!_||n.ns&&n.ns!==_[_DYN_EVT_NAME].ns||r&&!r(_)||(_doDetach(e,_[_DYN_EVT_NAME],_.handler,_.capture),t[_DYN_SPLICE](o,1))}}function _unregisterEvents(n,r,o){var e;r[_DYN_TYPE]?_doUnregister(n,_getRegisteredEvents(n,r[_DYN_TYPE]),r,o):(objForEachKey(e=elmNodeData.get(n,strEvents,{}),function(e,t){_doUnregister(n,t,r,o)}),0===objKeys(e)[_DYN_LENGTH$1]&&elmNodeData.kill(n,strEvents))}function mergeEvtNamespace(e,t){return t?_getEvtNamespace("xx",isArray(t)?[e].concat(t):[e,t]).ns[_DYN_SPLIT]("."):e}function eventOn(e,t,n,r,o){void 0===o&&(o=!1);var _=!1;if(e)try{var a,i=_getEvtNamespace(t,r);(_=_doAttach(e,i,n,o))&&elmNodeData.accept(e)&&(a={guid:_guid++,evtName:i,handler:n,capture:o},_getRegisteredEvents(e,i.type)[_DYN_PUSH](a))}catch(c){}return _}function eventOff(e,t,n,r,o){if(void 0===o&&(o=!1),e)try{var _=_getEvtNamespace(t,r),a=!1;_unregisterEvents(e,_,function(e){return!((!_.ns||n)&&e.handler!==n)&&(a=!0)}),a||_doDetach(e,_,n,o)}catch(i){}}var strNotSpecified="not_specified",PropertiesPluginIdentifier="AppInsightsPropertiesPlugin",_DYN_INDEX_OF="indexOf",_DYN_LENGTH="length",_DYN_TRACK_PAGE_ACTION="trackPageAction",_DYN_USE_DEFAULT_CONTENT_0="useDefaultContentNameOrId",_DYN_CAPTURE_ALL_META_DAT1="captureAllMetaDataContent",_DYN_META_DATA_PREFIX="metaDataPrefix",_DYN_PARENT_DATA_TAG="parentDataTag",_DYN_DEFAULT_RIGHT_CLICK_2="defaultRightClickBhvr",_DYN_TAG_NAME="tagName",_DYN_TO_UPPER_CASE="toUpperCase",_DYN_PAGE_NAME="pageName",_DYN_CORE_DATA="coreData",_DYN_REQUEST_URI="requestUri",_DYN_GET_ATTRIBUTE="getAttribute",_DYN_PARENT_NODE="parentNode",_DYN_CUSTOM_DATA_PREFIX="customDataPrefix",_DYN_NAME="name",_DYN_DATA="data",_DYN_PAGE_TYPE="pageType",_DYN_PROPERTIES="properties",_DYN_ACTION_TYPE="actionType",_DYN_BEHAVIOR="behavior",_DYN_CONTENT="content",_DYN_SET_COMMON_PROPERTIE3="setCommonProperties",_DYN__GET_VALID_BEHAVIOR="_getValidBehavior",_DYN_CONTENT_NAME="contentName",_DYN__TRACE_LOGGER="_traceLogger",_DYN_CLICK_COORDINATE_X="clickCoordinateX",_DYN_CLICK_COORDINATE_Y="clickCoordinateY",_DYN__CONFIG="_config",_DYN_DATA_TAGS="dataTags",_DYN__PAGE_TAGS="_pageTags",_DYN__PAGE_TAGS_CALLBACK="_pageTagsCallback",_DYN__META_TAGS="_metaTags",_DYN__PAGE_TYPE_META_TAG="_pageTypeMetaTag",_DYN__BEHAVIOR_META_TAG="_behaviorMetaTag",_DYN_PARENT_ELEMENT="parentElement",_DYN_ATTRIBUTES="attributes",DEFAULT_DONOT_TRACK_TAG="ai-dnt",DEFAULT_AI_BLOB_ATTRIBUTE_TAG="ai-blob",DEFAULT_DATA_PREFIX="data-";function removeInvalidElements(e){for(var t in e)isValueAssigned(e[t])&&("{}"!==JSON.stringify(e[t])||"callback"===t)||delete e[t]}function isValueAssigned(e){return!(isNullOrUndefined(e)||""===e)}function isRightClick(e){try{if("which"in e)return 3===e.which;if("button"in e)return 2===e.button}catch(t){}}function isLeftClick(e){try{if("which"in e)return 1===e.which;if("button"in e)return 1===e.button}catch(t){}}function isMiddleClick(e){try{if("which"in e)return 2===e.which;if("button"in e)return 4===e.button}catch(t){}}function isKeyboardEnter(e){try{if("keyCode"in e)return 13===e.keyCode}catch(t){}}function isKeyboardSpace(e){try{if("keyCode"in e)return 32===e.keyCode}catch(t){}}function isElementDnt(e,t){return!!isValueAssigned(findClosestByAttribute(e,t))}function findClosestByAttribute(e,t){return walkUpDomChainWithElementValidation(e,isAttributeInElement,t)}function isAttributeInElement(e,t){return isValueAssigned(e[_DYN_GET_ATTRIBUTE](t))}function walkUpDomChainWithElementValidation(e,t,n){var r=e;if(r){for(;!t(r,n);)if(!(r=r[_DYN_PARENT_NODE])||!r[_DYN_GET_ATTRIBUTE])return null;return r}}function isElementAnAnchor(e){return"A"===e.nodeName}function findClosestAnchor(e){return walkUpDomChainWithElementValidation(e,isElementAnAnchor)}function extractFieldFromObject(e,t){var n;return e&&e[t]&&(n=e[t],delete e[t]),n}function bracketIt(e){return"["+e+"]"}function BehaviorMapValidator(t){return function(e){return t[e]||""}}function BehaviorValueValidator(e){return function(t){var n;return arrForEach(e,function(e){if(e===t)return n=e,-1}),n||""}}function BehaviorEnumValidator(t){return function(e){return t[e]||""}}var clickCaptureInputTypes$1={BUTTON:!0,CHECKBOX:!0,RADIO:!0,RESET:!0,SUBMIT:!0};function getImageHref(e){if(e){e=findClosestAnchor(e);if(1===e[_DYN_LENGTH]){e=e[0];if(e.href)return e.href;if(e.src)return e.src}}return""}function getClickTarget(e){var t="";switch(e[_DYN_TAG_NAME]){case"A":case"AREA":t=e.href||"";break;case"IMG":t=getImageHref(e);break;case"INPUT":var n=e.type;n&&clickCaptureInputTypes$1[n[_DYN_TO_UPPER_CASE]()]&&(n=getLocation()||{},t=e.form?e.form.action||n.pathname||"":n.pathname||"")}return t}function getPageName(e,t){return t&&t[_DYN_PAGE_NAME]?t[_DYN_PAGE_NAME]:e.callback&&isFunction(e.callback[_DYN_PAGE_NAME])?e.callback[_DYN_PAGE_NAME]():e.coreData&&e.coreData[_DYN_PAGE_NAME]?e.coreData[_DYN_PAGE_NAME]:(t=getDocument())&&t.title||""}function sanitizeUrl(e,t){if(!t)return null;var n=t.protocol+"//"+(t.hostname||t.host)+(isValueAssigned(t.port)?":"+t.port:"")+t.pathname;return e.urlCollectHash&&(n+=isValueAssigned(t.hash)?t.hash:""),e.urlCollectQuery&&(n+=isValueAssigned(t.search)?t.search:""),n}function getUri(e,t){return e[_DYN_CORE_DATA]&&e[_DYN_CORE_DATA][_DYN_REQUEST_URI]&&""!==e[_DYN_CORE_DATA][_DYN_REQUEST_URI]?e[_DYN_CORE_DATA][_DYN_REQUEST_URI]:sanitizeUrl(e,t)}var _a,_b,WebEvent=function(){function n(e,t,_,a,i,c){dynamicProto(n,this,function(r){function o(){r[_DYN__PAGE_TAGS]={},r._clickAnalyticsPlugin=e,r[_DYN__CONFIG]=t,r._contentHandler=_,r[_DYN__PAGE_TAGS_CALLBACK]=a,r[_DYN__META_TAGS]=i,r[_DYN__TRACE_LOGGER]=c}function n(e,t,n){return t&&t[n]?t[n]:e?e[n]:""}o(),r.setBasicProperties=function(e,t){isValueAssigned(e[_DYN_NAME])||(e[_DYN_PAGE_NAME]=getPageName(r[_DYN__CONFIG],t)),!isValueAssigned(e.uri)&&hasWindow()&&(e.uri=getUri(r[_DYN__CONFIG],getLocation()))},r[_DYN_SET_COMMON_PROPERTIE3]=function(e,t){r.setBasicProperties(e,t),r._setPageTags(e,t),r._pageTypeMetaTag=n(r._metaTags,r._config[_DYN_CORE_DATA],"pageType"),r._behaviorMetaTag=n(r._metaTags,r._config[_DYN_CORE_DATA],"behavior"),isValueAssigned(t[_DYN_PAGE_TYPE])&&(e[_DYN_PAGE_TYPE]=t[_DYN_PAGE_TYPE]),isValueAssigned(r._pageTypeMetaTag)&&!isValueAssigned(e[_DYN_PAGE_TYPE])&&(e[_DYN_PAGE_TYPE]=r[_DYN__PAGE_TYPE_META_TAG])},r._setPageTags=function(e,t){if(r[_DYN__PAGE_TAGS_CALLBACK]&&(r[_DYN__PAGE_TAGS]=objExtend(!0,r[_DYN__PAGE_TAGS],r[_DYN__PAGE_TAGS_CALLBACK]())),isValueAssigned(t.pageTags)&&(r[_DYN__PAGE_TAGS]=objExtend(!0,r[_DYN__PAGE_TAGS],t.pageTags)),r[_DYN__META_TAGS])for(var n in r[_DYN__PAGE_TAGS].metaTags={},r[_DYN__META_TAGS])"behavior"!=n&&"market"!=n&&"pageType"!=n&&(r[_DYN__PAGE_TAGS].metaTags[n]=r[_DYN__META_TAGS][n]);e[_DYN_PROPERTIES]=e[_DYN_PROPERTIES]||{},e[_DYN_PROPERTIES].pageTags=r[_DYN__PAGE_TAGS]},r._getBehavior=function(e){var t;return e&&isValueAssigned(e[_DYN_BEHAVIOR])?t=e[_DYN_BEHAVIOR]:isValueAssigned(r[_DYN__BEHAVIOR_META_TAG])&&(t=r[_DYN__BEHAVIOR_META_TAG]),r[_DYN__GET_VALID_BEHAVIOR](t)},r[_DYN__GET_VALID_BEHAVIOR]=function(e){return r[_DYN__CONFIG].behaviorValidator(e)},r._doUnload=function(e,t,n){o()}})}return n.__ieDyn=1,n}(),PageAction=function(a){function i(e,t,n,r,o,_){e=a.call(this,e,t,n,r,o,_)||this;return dynamicProto(i,e,function(a,e){function r(e,t,n){isValueAssigned(n)&&(e[t]=n)}a[_DYN_TRACK_PAGE_ACTION]=function(e,t){var n={name:"Microsoft.ApplicationInsights.{0}.Event",baseType:"EventData",ext:{web:{}},data:{},baseData:{}};r(n.baseData,"name",e[_DYN_NAME]),r(n[_DYN_DATA],"baseTypeSource","ClickEvent"),r(n[_DYN_DATA],"uri",e.uri),r(n[_DYN_DATA],"pageType",e[_DYN_PAGE_TYPE]),r(n[_DYN_DATA],"properties",e[_DYN_PROPERTIES]),r(n[_DYN_DATA],"actionType",e[_DYN_ACTION_TYPE]),r(n[_DYN_DATA],"behavior",e[_DYN_BEHAVIOR]),r(n[_DYN_DATA],"clickCoordinates",e.clickCoordinates),r(n[_DYN_DATA],"content",e[_DYN_CONTENT]),r(n[_DYN_DATA],"targetUri",e.targetUri),r(n[_DYN_DATA],"timeToAction",e.timeToAction),r(n[_DYN_DATA],"refUri",e.refUri),r(n.data,"pageName",e[_DYN_PAGE_NAME]),r(n[_DYN_DATA],"parentId",e.parentId),t&&objForEachKey(t,function(e,t){n[_DYN_DATA][e]||r(n[_DYN_DATA],e,t)}),a._clickAnalyticsPlugin.core.track(n)},a.capturePageAction=function(e,t,n,r){t=isValueAssigned(t)?t:{};var o={name:""},n=isValueAssigned(n)?n:{},_=(a[_DYN_SET_COMMON_PROPERTIE3](o,t),o[_DYN_BEHAVIOR]=a._getBehavior(t),{});r&&(o.behavior=a._config[_DYN_DEFAULT_RIGHT_CLICK_2]),e&&(o.targetUri=getClickTarget(e),(_=a._contentHandler.getElementContent(e)).bhvr&&!isValueAssigned(t[_DYN_BEHAVIOR])&&(r=extractFieldFromObject(_,"bhvr"),o[_DYN_BEHAVIOR]=a[_DYN__GET_VALID_BEHAVIOR](r)),isValueAssigned(_.id)||isValueAssigned(_[_DYN_CONTENT_NAME])||_throwInternal(a[_DYN__TRACE_LOGGER],2,102,"Missing attributes id or contentName in click event. Click event information will still be collected!")),o[_DYN_NAME]=_.id||_[_DYN_CONTENT_NAME]||strNotSpecified,o.parentId=_.parentid||_.parentName||strNotSpecified,isValueAssigned(t[_DYN_ACTION_TYPE])&&(o[_DYN_ACTION_TYPE]=t[_DYN_ACTION_TYPE]),isValueAssigned(t[_DYN_CLICK_COORDINATE_X])&&isValueAssigned(t[_DYN_CLICK_COORDINATE_Y])&&(o.clickCoordinates=t[_DYN_CLICK_COORDINATE_X]+"X"+t[_DYN_CLICK_COORDINATE_Y]),(e=_)&&(delete e.id,delete e.parentid,delete e.parentname,a._config&&a._config.dataTags&&isValueAssigned(a._config.dataTags[_DYN_PARENT_DATA_TAG])&&delete e[a[_DYN__CONFIG][_DYN_DATA_TAGS].parentDataTag]),o[_DYN_CONTENT]=bracketIt(JSON.stringify(objExtend(_,t&&t.contentTags?t.contentTags:{}))),o.timeToAction=-1,o.refUri=isValueAssigned(t.refUri)?t.refUri:a._config[_DYN_CORE_DATA].referrerUri,a[_DYN__CONFIG].dropInvalidEvents&&o[_DYN_NAME]===strNotSpecified&&o.parentId===strNotSpecified&&"[{}]"===o[_DYN_CONTENT]||a[_DYN_TRACK_PAGE_ACTION](o,n)}}),e}return __extendsFn(i,a),i.__ieDyn=1,i}(WebEvent),ActionType={CLICKLEFT:"CL",CLICKRIGHT:"CR",CLICKMIDDLE:"CM",SCROLL:"S",ZOOM:"Z",RESIZE:"R",KEYBOARDENTER:"KE",KEYBOARDSPACE:"KS",OTHER:"O"},clickCaptureInputTypes={BUTTON:!0,CHECKBOX:!0,RADIO:!0,RESET:!0,SUBMIT:!0},AutoCaptureHandler=function(){function a(e,t,n,r){this._analyticsPlugin=e,this._config=t,this._pageAction=n,this._traceLogger=r;var u,o=mergeEvtNamespace(createUniqueNamespace("AutoCaptureHandler"),e._evtNamespace),_=onConfigChange(t,function(){u=arrMap(t.trackElementTypes[_DYN_TO_UPPER_CASE]().split(","),function(e){return strTrim(e)})});dynamicProto(a,this,function(s){function n(e){var t,n,r,o=getWindow();if(e=isNullOrUndefined(e)&&o?o.event:e){var _=e.srcElement||e.target,a=((o={})[_DYN_CLICK_COORDINATE_X]=e.pageX,o[_DYN_CLICK_COORDINATE_Y]=e.pageY,o),i=isRightClick(e);if(i)a[_DYN_ACTION_TYPE]=ActionType.CLICKRIGHT;else if(isLeftClick(e))a[_DYN_ACTION_TYPE]=ActionType.CLICKLEFT;else if(isKeyboardEnter(e))a[_DYN_ACTION_TYPE]=ActionType.KEYBOARDENTER;else if(isKeyboardSpace(e))a[_DYN_ACTION_TYPE]=ActionType.KEYBOARDSPACE;else{if(!isMiddleClick(e))return;a[_DYN_ACTION_TYPE]=ActionType.CLICKMIDDLE}for(;_&&_[_DYN_TAG_NAME];){var c=(_=_.control&&u[_.control[_DYN_TAG_NAME][_DYN_TO_UPPER_CASE]()]?_.control:_)[_DYN_TAG_NAME][_DYN_TO_UPPER_CASE]();if(u[c]){"INPUT"===c&&!clickCaptureInputTypes[_.type[_DYN_TO_UPPER_CASE]()]||(c=a,n={},r=i,isElementDnt(t=_,s._config.dataTags[_DYN_CUSTOM_DATA_PREFIX]+s[_DYN__CONFIG][_DYN_DATA_TAGS].dntDataTag)||s._pageAction.capturePageAction(t,c,n,r));break}_=_.parentElement||_[_DYN_PARENT_NODE]}}}s.click=function(){var e=getWindow(),t=getDocument();e?(eventOn(e,-1!==navigator.appVersion[_DYN_INDEX_OF]("MSIE")?"click":"mousedown",n,o),eventOn(e,"keyup",n,o)):t&&(eventOn(t,"click",n,o),eventOn(t,"keyup",n,o))},s._doUnload=function(e,t,n){eventOff(getWindow(),null,null,o),eventOff(getDocument(),null,null,o),_&&_.rm(),_=null}})}return a.__ieDyn=1,a}(),MAX_CONTENTNAME_LENGTH=200,DomContentHandler=function(){function t(e,T){this._config=e,this._traceLogger=T,dynamicProto(t,this,function(f){function N(e,t,n,r,o){for(var _=e,a=!1,i=!1;!isNullOrUndefined(_)&&!isNullOrUndefined(_[_DYN_ATTRIBUTES]);){for(var c=_[_DYN_ATTRIBUTES],s=0;s<c[_DYN_LENGTH];s++){var u,l=c[s];0===l.name[_DYN_INDEX_OF](n)&&(0===l.name[_DYN_INDEX_OF](r)&&(a=!0),0!==l.name[_DYN_INDEX_OF](o)&&(u=l[_DYN_NAME].replace(n,""),i&&"id"===u||isValueAssigned(t[u])||(t[u]=l.value)))}if(a)break;i=!0,_=_[_DYN_PARENT_NODE]}}function t(e,t,n){var r={};if(hasDocument())for(var o=getDocument().querySelectorAll("meta"),_=0;_<o[_DYN_LENGTH];_++){var a=o[_];a[_DYN_NAME]&&(e||0===a.name[_DYN_INDEX_OF](t))&&(r[n?a[_DYN_NAME].replace(t,""):a[_DYN_NAME]]=a[_DYN_CONTENT])}return r}function l(e,t,n){for(var r=e[_DYN_ATTRIBUTES],o=!1,_=0;_<r[_DYN_LENGTH];_++){var a=r[_][_DYN_NAME];if(a===n)return!1;0===a[_DYN_INDEX_OF](t)&&(o=!0)}return o}function E(e){var t,r=(f[_DYN__CONFIG]||{})[_DYN_DATA_TAGS]||{},n=(f[_DYN__CONFIG]||{}).callback||{},o={};return e&&r[_DYN_USE_DEFAULT_CONTENT_0]&&(n=(n=n[_DYN_CONTENT_NAME])?n(e,r[_DYN_USE_DEFAULT_CONTENT_0]):"",t=function(e){if(!1===r[_DYN_USE_DEFAULT_CONTENT_0]||!e[_DYN_TAG_NAME])return"";var t,n=getDocument()||{};switch(e[_DYN_TAG_NAME]){case"A":t=n.all?e.innerText||e.innerHTML:e.text||e.innerHTML;break;case"IMG":case"AREA":t=e.alt;break;default:t=e.value||e[_DYN_NAME]||e.alt||e.innerText||e.id}return strSubstring(t,0,MAX_CONTENTNAME_LENGTH)}(e),o={id:e.id,contentName:n||t||e[_DYN_GET_ATTRIBUTE]("alt")}),o}f.getMetadata=function(){var e=(f[_DYN__CONFIG]||{})[_DYN_DATA_TAGS];return hasDocument()?isValueAssigned(e.metaDataPrefix)?t(e[_DYN_CAPTURE_ALL_META_DAT1],e[_DYN_META_DATA_PREFIX],!1):t(e[_DYN_CAPTURE_ALL_META_DAT1],"",!1):{}},f.getElementContent=function(c){if(!c)return{};var e,t=(f[_DYN__CONFIG]||{})[_DYN_DATA_TAGS],n={},s=t[_DYN_CUSTOM_DATA_PREFIX],u=s+t.aiBlobAttributeTag;if(isValueAssigned(t[_DYN_PARENT_DATA_TAG])&&(e=s+t[_DYN_PARENT_DATA_TAG]),l(c,s,u))n=objExtend(n,function(e,t,n,r){var o=(f[_DYN__CONFIG]||{})[_DYN_DATA_TAGS],_={};if(!e)return _;var a=E(e);if(isValueAssigned(n))N(e,_,t,n,r);else for(var i,c=e,s=_,u=t,l=0;l<c.attributes[_DYN_LENGTH];l++)0===(i=c[_DYN_ATTRIBUTES][l]).name[_DYN_INDEX_OF](u)&&(s[i[_DYN_NAME].replace(u,"")]=i.value);return o[_DYN_USE_DEFAULT_CONTENT_0]&&(isValueAssigned(_.id)||(_.id=a.id||""),_[_DYN_CONTENT_NAME]=a[_DYN_CONTENT_NAME]||""),_.id||_[_DYN_CONTENT_NAME]||_throwInternal(T,2,102,"Invalid content blob.  Missing required attributes (id, contentName.  Content information will still be collected!"),_}(c,s,e,u));else if(t=c[_DYN_GET_ATTRIBUTE](u))try{n=JSON.parse(t)}catch(r){_throwInternal(f[_DYN__TRACE_LOGGER],1,101,"Can not parse "+t)}else n=objExtend(n,function(e,t,n,r){var o={};if(!e)return o;var _=E(e),o={id:_.id||"",contentName:_[_DYN_CONTENT_NAME]||""};return isValueAssigned(n)&&N(e,o,t,n,r),o.id||o[_DYN_CONTENT_NAME]||_throwInternal(T,2,102,"Invalid content blob.  Missing required attributes (id, contentName.  Content information will still be collected!"),o}(c,s,e,u));return removeInvalidElements(n),e?objExtend(n,function(e){var t=e.parentid,e=e.parentname;if(t||e||!c)return{};var n,t=c,e=s,r=u,o={},_=walkUpDomChainWithElementValidation(t[_DYN_PARENT_ELEMENT],l,e);if(_){var r=_[_DYN_GET_ATTRIBUTE](r)||t[r];if(r){try{var a=JSON.parse(r)}catch(i){_throwInternal(T,1,101,"Can not parse "+r)}a&&(n=a.id)}else n=_[_DYN_GET_ATTRIBUTE](e+"id")}return n?o.parentid=n:(r=E(t[_DYN_PARENT_ELEMENT]),o.parentid=r.id,o.parentname=r[_DYN_CONTENT_NAME]),o}(n)):n}})}return t.__ieDyn=1,t}(),defaultValues=objDeepFreeze(((_a={autoCapture:!0,callback:cfgDfMerge({pageActionPageTags:cfgDfFunc(),pageName:cfgDfFunc(),contentName:cfgDfFunc()}),pageTags:{},coreData:cfgDfMerge({referrerUri:hasDocument()?getDocument().referrer:"",requestUri:cfgDfString(),pageName:cfgDfString(),pageType:cfgDfString()}),dataTags:cfgDfMerge(((_b={})[_DYN_USE_DEFAULT_CONTENT_0]=!1,_b.aiBlobAttributeTag=DEFAULT_AI_BLOB_ATTRIBUTE_TAG,_b.customDataPrefix=cfgDfValidate(_dataPrefixChk,DEFAULT_DATA_PREFIX),_b[_DYN_CAPTURE_ALL_META_DAT1]=!1,_b.dntDataTag=DEFAULT_DONOT_TRACK_TAG,_b[_DYN_META_DATA_PREFIX]=cfgDfString(),_b[_DYN_PARENT_DATA_TAG]=cfgDfString(),_b)),behaviorValidator:cfgDfFunc(function(e){return e||""})})[_DYN_DEFAULT_RIGHT_CLICK_2]=cfgDfString(),_a.dropInvalidEvents=!1,_a.urlCollectHash=!1,_a.urlCollectQuery=!1,_a.trackElementTypes=cfgDfString("A,BUTTON,AREA,INPUT"),_a));function _dataPrefixChk(e){return e&&0===e[_DYN_INDEX_OF](DEFAULT_DATA_PREFIX)}var ClickAnalyticsPlugin=function(N){function E(){var c,s,u,l,f=N.call(this)||this;return f.identifier="ClickAnalyticsPlugin",f.priority=181,dynamicProto(E,f,function(a,e){var i=a.identifier;u=s=c=null,l=!1,a.initialize=function(e,t,n,r){var o,_;isNullOrUndefined(t)&&throwError("Error initializing"),N.prototype.initialize.call(f,e,t,n,r),o=a.core,a._addHook(onConfigChange(e,function(e){var e=createProcessTelemetryContext(null,e.cfg,o).getExtCfg(i,defaultValues),t=a.diagLog(),n=(u=new DomContentHandler(e,t)).getMetadata(),n=(c=new PageAction(a,e,u,e.callback.pageActionPageTags,n,t),s&&s._doUnload(),s=new AutoCaptureHandler(a,e,c,t),!!e.autoCapture);!l&&n&&s.click(),l=n})),arrForEach(n,function(e){e.identifier===PropertiesPluginIdentifier&&(_=e)}),_&&_.context&&_.context.internal&&(t=_.context.internal.sdkVersion)&&(64<(t+="_ClickPlugin"+E.Version)[_DYN_LENGTH]&&(t=strTrim(strSubstring(t,0,64))),_.context.internal.sdkVersion=t)},a.processTelemetry=function(e,t){a.processNext(e,t)},a[_DYN_TRACK_PAGE_ACTION]=function(e,t){try{c[_DYN_TRACK_PAGE_ACTION](e,t)}catch(n){_throwInternal(a.diagLog(),1,103,"trackPageAction failed, page action event will not be collected: "+getExceptionName(n),{exception:dumpObj(n)})}},a._doTeardown=function(e,t,n){return unloadComponents([s,u,c],e,t)}}),f}return __extendsFn(E,N),E.Version="3.3.8",E}(BaseTelemetryPlugin);exports.BehaviorEnumValidator=BehaviorEnumValidator,exports.BehaviorMapValidator=BehaviorMapValidator,exports.BehaviorValueValidator=BehaviorValueValidator,exports.ClickAnalyticsPlugin=ClickAnalyticsPlugin;
//# sourceMappingURL=ai.clck.3.3.8.cjs.min.js.map
